Package com.castlabs.sdk.viisights

# Class Hotspot

java.lang.Object
com.castlabs.sdk.viisights.Hotspot

public class Hotspot extends Object
Represents a hotspot in a video, indicating a specific event or object of interest within a defined time range.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `categoryType`
  The category type of the hotspot (e.g., "person", "vehicle").
  `final long`
  `endMs`
  The end time of the hotspot in milliseconds.
  `final String`
  `id`
  A unique identifier for the hotspot.
  `final String`
  `label`
  A descriptive label for the hotspot.
  `final String`
  `name`
  The name associated with the hotspot, which can be more specific than the label.
  `final double`
  `score`
  A confidence score for the detected hotspot, typically ranging from 0.0 to 1.0.
  `final long`
  `startMs`
  The start time of the hotspot in milliseconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hotspot(String label, long startMs, long endMs, String id, String categoryType, String name, double score)`
  Constructs a new Hotspot object.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### label

    public final String label
    A descriptive label for the hotspot.

  - ### startMs

    public final long startMs
    The start time of the hotspot in milliseconds.

  - ### endMs

    public final long endMs
    The end time of the hotspot in milliseconds.

  - ### id

    public final String id
    A unique identifier for the hotspot.

  - ### categoryType

    public final String categoryType
    The category type of the hotspot (e.g., "person", "vehicle").

  - ### name

    public final String name
    The name associated with the hotspot, which can be more specific than the label.

  - ### score

    public final double score
    A confidence score for the detected hotspot, typically ranging from 0.0 to 1.0.

- ## Constructor Details

  - ### Hotspot

    public Hotspot(String label, long startMs, long endMs, String id, String categoryType, String name, double score)
    Constructs a new Hotspot object.
    Parameters:
      `label` - A descriptive label for the hotspot.
      `startMs` - The start time of the hotspot in milliseconds.
      `endMs` - The end time of the hotspot in milliseconds.
      `id` - A unique identifier for the hotspot.
      `categoryType` - The category type of the hotspot.
      `name` - The name associated with the hotspot.
      `score` - A confidence score for the detected hotspot.